/**********************************************************************************************
**
**   Autor / Author: Thomas Meyer
**
**   nicht für Firmen oder kommerzielle Nutzung, keine unerlaubte Weitergabe, kein Verkauf
**   not for firms or commercial use, no unauthorized copying, no sale
**
**   © 2004, Thomas Meyer www.All-Community.de
**
**   Copyright Hinweis nicht entfernen! / don't remove copyright notice
**
***********************************************************************************************/

function addEmbTag(tag, ziel) {
  ziel = document.getElementById(ziel);
  ziel.focus();
  var startTag = tag.match(/^\[[^\]]+\]/);
  var endTag = tag.match(/\[[^\]]+\]$/);

  if (document.selection && document.selection.createRange().parentElement().id == ziel.id) {

    var currentSelection = document.selection.createRange().text;
    if (currentSelection == '') { empty_selection(); return; }
    document.selection.createRange().text = startTag + currentSelection + endTag;

  } else if (window.getSelection) {

    var currentSelection = ziel.value.slice(ziel.selectionStart,ziel.selectionEnd);
    if (currentSelection == '') { empty_selection(); return; }
    ziel.value = ziel.value.slice(0,ziel.selectionStart) +
                 startTag + currentSelection + endTag +
                 ziel.value.slice(ziel.selectionEnd, ziel.textLength);

  } else {

    ziel.value+=tag;

  };

};

function empty_selection() {
  alert(noselection_js);
};

function preview(ziel, quelle) {
  quelle = document.getElementById(quelle).value;
  ziel = document.getElementById(ziel);
  ziel.innerHTML = '<span style="font-size:8pt;font-weight:bold">&nbsp; '+preview_js+'</span></br><iframe src="'+php_self+'?action=preview&eintraege='+escape(quelle)+'" name="preview_window" height="150" width="380" style="border: 2px inset #EEEEEE"></iframe>';
}

// © 2004, Thomas Meyer www.All-Community.de
// Copyright Hinweis nicht entfernen!
